KDE 4.10 asking for qstardict data engine?

Hi I installed KDE 4.10 in 3 machines and in all 3 I get this error at the
start of KDE:

Plasma requires an additional service for this operation
qstardict data engine

What do I need to install to resolve this?

Many thanks

-G-

Which openSUSE version, how did you move to 4.10?
Please post output of

zypper lr -d

, between CODE tags (the # in the editor)

Knurpht wrote:
> Which openSUSE version, how did you move to 4.10?
> Please post output of
>
> Code:
> --------------------
> zypper lr -d
> --------------------
> , between CODE tags (the # in the editor)
>

Hi, sorry I do not understand what do you mean by:
“between CODE tags (the # in the editor)”

I am running 12.2 with kernel 3.4.28-2.20-desktop x86_64
I upgraded from 4.9 using the repositories listed in the opensuse KDE
repository page site:

Too long to fit in one line, so it here comes split:

http://download.opensuse.org/repositories
/KDE:/Release:/410/openSUSE_12.2/

http://download.opensuse.org/repositories
/KDE:/Extra/KDE_Release_410_openSUSE_12.2/

http://download.opensuse.org/repositories
/KDE:/Unstable:/Playground/KDE_Release_410_openSUSE_12.2/

Everything else seems to be working fine and very smoothly, it is only that
error in that box. If I press a “Continue” button shown it tries to search
for something (a package? or ??) but that fails to find anything.

Many thanks for helping.

-G-

I realised that the error is due to the Dict widget installed in the panel
bar (or whatever it is called at the bottom of the screen).

Interestingly the Dict widget works fine anyway so if anybody knows how to
avoid the error I would be most grateful.

Thanks
-G-

I just upgraded to 12.3 and have the same problem. The only way I could stop it was to remove the dictionary plasmoid from my panel. I can’t find any official qstardict package for 12.3 or 12.2, so I wonder how it was working ok in 12.2. ??

This problem with qstardict persists in my 12.3 Opensuse Tumbleweed edition.
It occurs on booting into Opensuse and then infrequently during using it! Anyone have a way of resolving this unusual problem?

I did some googling on this problem to try and find a solution and found this bug report in the KDE bug tracking website:
https://bugs.kde.org/show_bug.cgi?id=315117 but unfortunately no solution yet!

Have you tried the packages from Index of /repositories/home:/Vovochka404 ?
They seem to work fine here on 12.3… (the plasma applet is in qstardict-kde)

I also had this problem after an upgrade to 12.3
Installing the qstardict-kde sorted it - many thanks!

Vovochka404 rocks! Added the repository and installed just the qstardict related fails.

It works perfect!
Thanx